summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/domain_name/Manifest1
-rw-r--r--dev-ruby/domain_name/domain_name-0.6.20240107.ebuild43
-rw-r--r--dev-ruby/faraday-rack/Manifest1
-rw-r--r--dev-ruby/faraday-rack/faraday-rack-1.0.0.ebuild32
-rw-r--r--dev-ruby/faraday-rack/metadata.xml10
-rw-r--r--dev-ruby/faraday-retry/Manifest1
-rw-r--r--dev-ruby/faraday-retry/faraday-retry-1.0.3.ebuild37
-rw-r--r--dev-ruby/faraday/Manifest3
-rw-r--r--dev-ruby/faraday/faraday-1.5.1.ebuild102
-rw-r--r--dev-ruby/faraday/faraday-1.6.0.ebuild103
-rw-r--r--dev-ruby/faraday/faraday-1.9.3.ebuild105
-rw-r--r--dev-ruby/net-sftp/net-sftp-4.0.0.ebuild4
-rw-r--r--dev-ruby/net-ssh-gateway/net-ssh-gateway-2.0.0-r2.ebuild4
-rw-r--r--dev-ruby/shoulda-matchers/Manifest1
-rw-r--r--dev-ruby/shoulda-matchers/shoulda-matchers-4.5.1-r1.ebuild6
-rw-r--r--dev-ruby/shoulda-matchers/shoulda-matchers-6.0.0.ebuild48
-rw-r--r--dev-ruby/shoulda/Manifest1
-rw-r--r--dev-ruby/shoulda/shoulda-4.0.0.ebuild33
18 files changed, 528 insertions, 7 deletions
diff --git a/dev-ruby/domain_name/Manifest b/dev-ruby/domain_name/Manifest
index 34149e6575e6..493abe66eb36 100644
--- a/dev-ruby/domain_name/Manifest
+++ b/dev-ruby/domain_name/Manifest
@@ -1,2 +1,3 @@
DIST domain_name-0.5.20190701.gem 131072 BLAKE2B 86ee60824d9480e71535312fb72c192f3d88326c72539b833132872ff15298842f09bac612e9c3d8b87a3ef6a60459b14e777105613fd76da79757d6a30abcbc SHA512 445f0e8a377bb700f8a3b926970f4351d28759e237947d6c755afff52726141c6b821b43b2a761d4d0d6237969304ef749404a5f383f69710b04803410dc70aa
DIST domain_name-0.6.20231109.gem 148480 BLAKE2B 87a68ab758126e150193373c1f4807e16e8390f5a2fa5c1c55ad443a6cf1d16d2fb66167313f7858f2a729729222900fae57994d268b3077a7469cec375dc67a SHA512 8d9dff3943001b340d1c19303291a19b284e6f7d0165413fbd797804dc9ff13c92b09a66efdded2489961a54105f2eed91043cdde279bef4bf82628c822d9257
+DIST domain_name-0.6.20240107.gem 148480 BLAKE2B d87f505fcff0e828d7c0870b9e185bd7a3a22bee3027a1de5b3d5c80f09d06bb666b3f7d408b8418f21a57aea3400a8932b7ace070637196069a2401863cd00e SHA512 9911389bdfdae984f697726cd7feff5a41b944a98982cfa76d49002c4f64e51d0ec7db6259eddc97fecbcc13c9723134af26b83e050c31943dc8495866874d59
diff --git a/dev-ruby/domain_name/domain_name-0.6.20240107.ebuild b/dev-ruby/domain_name/domain_name-0.6.20240107.ebuild
new file mode 100644
index 000000000000..f64a404d9edf
--- /dev/null
+++ b/dev-ruby/domain_name/domain_name-0.6.20240107.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_RECIPE_TEST="none"
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Domain Name manipulation library for Ruby"
+HOMEPAGE="https://github.com/knu/ruby-domain_name"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="test"
+
+ruby_add_bdepend "
+ test? (
+ >=dev-ruby/test-unit-2.5.5
+ )"
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/,/end/ d' test/helper.rb || die
+ rm Gemfile* || die
+
+ # Remove development dependencies
+ sed -i -e '/dependency.*\(shoulda\|bundler\|jeweler\|rdoc\)/d' \
+ ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid dependency on git.
+ sed -i -e 's/`git ls-files`/""/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ ruby-ng_testrb-2 -Ilib:test test/test_*.rb
+}
diff --git a/dev-ruby/faraday-rack/Manifest b/dev-ruby/faraday-rack/Manifest
new file mode 100644
index 000000000000..19860f51a18e
--- /dev/null
+++ b/dev-ruby/faraday-rack/Manifest
@@ -0,0 +1 @@
+DIST faraday-rack-1.0.0.tar.gz 8042 BLAKE2B bfeb9c4ee12a8eae657f9ea8f8144232ddfaca758b30f2af1e3b179ca38afd35755499c8f524fb1673675f5eacc93ca6fb79a78e48b68da8db298b91d5ecfb67 SHA512 c2abe89a54c41dfa336976ec0f8c86f3a1912b5a950f139f0146a27273560fa74c97c5c35d05f80ce2349de96461b7e398c79cdc3471a8fe782406df03e184ec
diff --git a/dev-ruby/faraday-rack/faraday-rack-1.0.0.ebuild b/dev-ruby/faraday-rack/faraday-rack-1.0.0.ebuild
new file mode 100644
index 000000000000..a729663e1014
--- /dev/null
+++ b/dev-ruby/faraday-rack/faraday-rack-1.0.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Faraday adapter for Rack"
+HOMEPAGE="https://github.com/lostisland/faraday-rack"
+SRC_URI="https://github.com/lostisland/faraday-rack/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/faraday:1 >=dev-ruby/rack-test-0.6 )"
+
+all_ruby_prepare() {
+ sed -i -e "s:_relative ':'./:" ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ sed -i -e '2igem "faraday", "~> 1.0"' spec/spec_helper.rb || die
+}
diff --git a/dev-ruby/faraday-rack/metadata.xml b/dev-ruby/faraday-rack/metadata.xml
new file mode 100644
index 000000000000..246d194b7ec0
--- /dev/null
+++ b/dev-ruby/faraday-rack/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-ruby/faraday-retry/Manifest b/dev-ruby/faraday-retry/Manifest
index c8776d0308f9..9ee5cf628131 100644
--- a/dev-ruby/faraday-retry/Manifest
+++ b/dev-ruby/faraday-retry/Manifest
@@ -1 +1,2 @@
+DIST faraday-retry-1.0.3.tar.gz 10732 BLAKE2B 4ab94c84242b1009221e7c44273a3dc3e07ce3303b776a42ac04c6adec5439ff83ad583e2b3670638d08aa5117ee897669dc4e8e3d13e3a84672cf9001580889 SHA512 d3d50c6ccca97b3c7f076a45f0be92c9d601a005328d09397d8ac56492688296cfc2e61327389e10d4989df957bc76be7c270b6cbae3b9b2b8023fc9da265698
DIST faraday-retry-2.2.0.tar.gz 12498 BLAKE2B a6cd459b745b219ee004cda59e4b1d9199676968ff4e6ef1ba8676badb1c10614a09a30467356032be9054d276055047a78a23b41d65ba84444680151eec688a SHA512 d7dd1bb5e7dd9b0cb94c5565bfd3a1c6c3f67277e15c0fb85a3fbd422a9939be22037089c918a607ae1cb71c18069ea766ab0fc18c9ed2b24fac820d25a6f85a
diff --git a/dev-ruby/faraday-retry/faraday-retry-1.0.3.ebuild b/dev-ruby/faraday-retry/faraday-retry-1.0.3.ebuild
new file mode 100644
index 000000000000..9675638d9f5a
--- /dev/null
+++ b/dev-ruby/faraday-retry/faraday-retry-1.0.3.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Faraday adapter for Net::HTTP"
+HOMEPAGE="https://github.com/lostisland/faraday-retry"
+SRC_URI="https://github.com/lostisland/faraday-retry/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/faraday:1 )"
+
+all_ruby_prepare() {
+ sed -i -e "s:_relative ':'./:" ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ sed -i -e '2igem "faraday", "~> 1.0"' spec/spec_helper.rb || die
+
+ # Avoid unpackaged, test-only, faraday-multipart for now.
+ sed -i -e '/multipart/ s:^:#:' spec/spec_helper.rb || die
+ sed -e '/should rewind files on retry/askip "faraday-multipart not packaged"' \
+ -i spec/faraday/retry/middleware_spec.rb || die
+}
diff --git a/dev-ruby/faraday/Manifest b/dev-ruby/faraday/Manifest
index 716596a01b52..bb6ed87a502d 100644
--- a/dev-ruby/faraday/Manifest
+++ b/dev-ruby/faraday/Manifest
@@ -1,5 +1,8 @@
DIST faraday-1.3.1.tar.gz 840638 BLAKE2B 284f7f612d3ab791a00ceab823be0246685fa38356bfeb6e01c12e81c7369c500719a6023dd929160ca598b41401b82cda0d8e9e363d0e7bdd91791742f8e68f SHA512 b89839e5d602911904ce009f52d011c124f84811e0676a3a524d22ea7084d99a971b6573dcde6d512bf933909cc461ef01cd82a8eeb9df581c56f17f31966b1b
DIST faraday-1.4.3.tar.gz 838150 BLAKE2B 324788f73e450d386655e805163ffd6299c6d11453a7b034f55b549d3d4edcf3d2936b732e1e13fe4c38286f09b8c1aec7aa5ca42e2c2d6bd2f841a7b412e822 SHA512 7a7c370715c912434fcca5bae11543d24ef0990d24a8ab069f1bebdb534b8d1a9bc90c9625574e34f0ad9c4543391b24ce134a103ddc40b152ebd65d958c5517
+DIST faraday-1.5.1.tar.gz 836117 BLAKE2B 1522aa2bea9652549ebd3442edf2b3cee253627ffbf1afe96313d76d147dda5203e336963ef427c63356e122fffd462fb287389baa6c473188924493aab5dda8 SHA512 f210f6841d4642e55b1d09cb5a21ef684d0c6ad0afb121f8a6af9eb42066d58bf49e22234adfaa06fc03efe0d61fe2d9150d4adc5fc90fa9d5145e19f2d35729
+DIST faraday-1.6.0.tar.gz 835517 BLAKE2B ab0c1002a44045571c1d517958200173d9e76d575386e1176cdcbd356f2f39bb067e96385ff8ccc7b776eb4c1260e4587b43b19e002e6cc9ddfecc7865d91117 SHA512 67d47d4548d35532cc93b74c736b64ce952af4084f5c6c5357fe719f27309f64db35d939f53f51da6283f2fc324600976d5b0aff8413147d958099d1d515f6e2
+DIST faraday-1.9.3.tar.gz 830654 BLAKE2B d032df2cd7018f3df3b4e6e2c06dd24f19e6a409d7fab10116f667812969ee0e5f67434f42ea0f9c68d66ae0f31cc5bca1ef347d0c7f941d21998a0be957ecaf SHA512 1d4efd600515b890c4c5e06e1fd9042eb67275fc2c43f0df70c717de32d99eb445cb595f8fa2bd081cfe8fecb84c7d2a23a6aa24f992ad1de4f703369a69928c
DIST faraday-2.7.10.tar.gz 833034 BLAKE2B dca3ef6a48aa4d14f1717344c5ec85b1e9caf7205eb7ae1be76a7a96bdee9fbef2d112c05f96f5625262d2783fc0e5e196343f67b371e480532c5e74f77b73eb SHA512 e1d2792f49df5679c16d3690a2475c56db9ae537bf53db4bb7cc256b41455d3db36d8d672eaf3f8a63fb2b04349d45dd4d32a2c194606fd795de51b1f79ead85
DIST faraday-2.7.11.tar.gz 1029832 BLAKE2B fd5cc5a9fa0d8c40893600a89f71d906a9de0b800c9723d64e8dad5dac1bff4ec61ba2714347b38beeadafb42a29ed6fb217344ffdb122e137607ff140b6aed7 SHA512 eafbc0c88a94f03bfe659b10a86050d07e79c6c2fc81c16af9e2aad68bc5482748a4a41a0a7828b272a9e034cb77dab06e0a9a0e136a56c72b72ed97e5bad50c
DIST faraday-2.7.12.tar.gz 1029923 BLAKE2B 267880c4d35284c1eb2f894e9c2803662cf5a901417b5a8c6934b8cef3fe842924d945b64b6617dcd017cbfdc3c9be19271c7c295e2c39518215aba3ab8304bb SHA512 e35aaa7096a77a3dc76aa0a2c262d6e83d894564474dd5b1414488615e54096e96fefa245d65804afa71fc22ef55748c18a32213ba6eaedb431246d5f8d382a1
diff --git a/dev-ruby/faraday/faraday-1.5.1.ebuild b/dev-ruby/faraday/faraday-1.5.1.ebuild
new file mode 100644
index 000000000000..d701aa7ece71
--- /dev/null
+++ b/dev-ruby/faraday/faraday-1.5.1.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_RECIPE_DOC="none"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_EXTRAINSTALL="spec"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="HTTP/REST API client library with pluggable components"
+HOMEPAGE="https://github.com/lostisland/faraday"
+SRC_URI="https://github.com/lostisland/faraday/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+
+DEPEND+=" test? ( sys-process/lsof )"
+
+ruby_add_rdepend "
+ dev-ruby/faraday-httpclient:1
+ dev-ruby/faraday-net_http_persistent:1
+ dev-ruby/faraday-net_http:1
+ dev-ruby/faraday-patron:1
+ >=dev-ruby/multipart-post-1.2.0 <dev-ruby/multipart-post-3
+ dev-ruby/ruby2_keywords
+"
+ruby_add_bdepend "test? (
+ >=dev-ruby/test-unit-2.4
+ >=dev-ruby/connection_pool-2.2.2
+ dev-ruby/rack
+ >=dev-ruby/rack-test-0.6
+ dev-ruby/webmock
+ )"
+
+all_ruby_prepare() {
+ # Remove bundler support.
+ rm Gemfile || die
+ sed -i -e '/[Bb]undler/d ; 1irequire "yaml"' Rakefile || die
+ sed -i -e '/bundler/,/^fi/ s:^:#:' script/test || die
+ # Avoid loading all lib files since some of them require unpackaged dependencies.
+ sed -e '/[Cc]overall/ s:^:#:' \
+ -e '/lib\/\*\*/ s:^:#:' \
+ -e '/simplecov/ s:^:#:' \
+ -e '/SimpleCov/,/end/ s:^:#:' \
+ -e '/pry/ s:^:#:' \
+ -e '3igem "faraday-net_http", "~> 1.0"; gem "faraday-net_http_persistent", "~> 1.0"' \
+ -i spec/spec_helper.rb || die
+
+ sed -e '/git ls-files/ s:^:#:' \
+ -e "s:_relative ': './:" \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid multipart tests that require an unpackaged dependency
+ # that appears to be no longer maintained.
+ rm -f spec/faraday/request/multipart_spec.rb || die
+ sed -e '/multipart_parser/ s:^:#:' \
+ -i spec/support/helper_methods.rb || die
+
+ # Remove specs for unpackaged adapters
+ rm -f spec/faraday/adapter/{em_http,em_synchrony,excon,httpclient}_spec.rb || die
+
+ # Remove unpackaged adapters. These packages where part of earlier
+ # faraday versions but since we do not package their dependencies
+ # they never worked on a pure Gentoo install. We are taking this
+ # approach so we can add ruby32 compatibility to faraday:1 for
+ # those adapters that we do support.
+ sed -e '/require.*\(em_http\|em_synchrony\|excon\)/ s:^:#:' \
+ -i lib/faraday.rb || die
+ sed -e '/\(em_http\|em_synchrony\|excon\)/ s:^:#:' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Make this adapter optional since it comes with a long list of
+ # dependencies.
+ if ! has_version "dev-ruby/typhoeus:1" ; then
+ rm -f spec/faraday/adapter/typhoeus_spec.rb || die
+ fi
+
+ # Avoid a spec that gets tripped up by recent rack encoding changes.
+ sed -e '/encodes rack compat/ s/it/xit/' -i spec/faraday/params_encoders/nested_spec.rb || die
+}
+
+each_ruby_prepare() {
+ # Make sure the test scripts use the right ruby interpreter
+ sed -i -e 's:ruby:'${RUBY}':' script/* || die
+}
+
+each_ruby_test() {
+ MT_NO_PLUGINS=true each_fakegem_test
+
+ # Sleep some time to allow the sinatra test server to die
+ einfo "Waiting for test server to stop"
+ sleep 10
+}
diff --git a/dev-ruby/faraday/faraday-1.6.0.ebuild b/dev-ruby/faraday/faraday-1.6.0.ebuild
new file mode 100644
index 000000000000..c8587b35631c
--- /dev/null
+++ b/dev-ruby/faraday/faraday-1.6.0.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_RECIPE_DOC="none"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_EXTRAINSTALL="spec"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="HTTP/REST API client library with pluggable components"
+HOMEPAGE="https://github.com/lostisland/faraday"
+SRC_URI="https://github.com/lostisland/faraday/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+
+DEPEND+=" test? ( sys-process/lsof )"
+
+ruby_add_rdepend "
+ dev-ruby/faraday-httpclient:1
+ dev-ruby/faraday-net_http_persistent:1
+ dev-ruby/faraday-net_http:1
+ dev-ruby/faraday-patron:1
+ dev-ruby/faraday-rack:1
+ >=dev-ruby/multipart-post-1.2.0 <dev-ruby/multipart-post-3
+ >=dev-ruby/ruby2_keywords-0.0.4
+"
+ruby_add_bdepend "test? (
+ >=dev-ruby/test-unit-2.4
+ >=dev-ruby/connection_pool-2.2.2
+ dev-ruby/rack
+ >=dev-ruby/rack-test-0.6
+ dev-ruby/webmock
+ )"
+
+all_ruby_prepare() {
+ # Remove bundler support.
+ rm Gemfile || die
+ sed -i -e '/[Bb]undler/d ; 1irequire "yaml"' Rakefile || die
+ sed -i -e '/bundler/,/^fi/ s:^:#:' script/test || die
+ # Avoid loading all lib files since some of them require unpackaged dependencies.
+ sed -e '/[Cc]overall/ s:^:#:' \
+ -e '/lib\/\*\*/ s:^:#:' \
+ -e '/simplecov/ s:^:#:' \
+ -e '/SimpleCov/,/end/ s:^:#:' \
+ -e '/pry/ s:^:#:' \
+ -e '3igem "faraday-net_http", "~> 1.0"; gem "faraday-net_http_persistent", "~> 1.0"' \
+ -i spec/spec_helper.rb || die
+
+ sed -e '/git ls-files/ s:^:#:' \
+ -e "s:_relative ': './:" \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid multipart tests that require an unpackaged dependency
+ # that appears to be no longer maintained.
+ rm -f spec/faraday/request/multipart_spec.rb || die
+ sed -e '/multipart_parser/ s:^:#:' \
+ -i spec/support/helper_methods.rb || die
+
+ # Remove specs for unpackaged adapters
+ rm -f spec/faraday/adapter/{em_http,em_synchrony,excon,httpclient}_spec.rb || die
+
+ # Remove unpackaged adapters. These packages where part of earlier
+ # faraday versions but since we do not package their dependencies
+ # they never worked on a pure Gentoo install. We are taking this
+ # approach so we can add ruby32 compatibility to faraday:1 for
+ # those adapters that we do support.
+ sed -e '/require.*\(em_http\|em_synchrony\|excon\)/ s:^:#:' \
+ -i lib/faraday.rb || die
+ sed -e '/\(em_http\|em_synchrony\|excon\)/ s:^:#:' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Make this adapter optional since it comes with a long list of
+ # dependencies.
+ if ! has_version "dev-ruby/typhoeus:1" ; then
+ rm -f spec/faraday/adapter/typhoeus_spec.rb || die
+ fi
+
+ # Avoid a spec that gets tripped up by recent rack encoding changes.
+ sed -e '/encodes rack compat/ s/it/xit/' -i spec/faraday/params_encoders/nested_spec.rb || die
+}
+
+each_ruby_prepare() {
+ # Make sure the test scripts use the right ruby interpreter
+ sed -i -e 's:ruby:'${RUBY}':' script/* || die
+}
+
+each_ruby_test() {
+ MT_NO_PLUGINS=true each_fakegem_test
+
+ # Sleep some time to allow the sinatra test server to die
+ einfo "Waiting for test server to stop"
+ sleep 10
+}
diff --git a/dev-ruby/faraday/faraday-1.9.3.ebuild b/dev-ruby/faraday/faraday-1.9.3.ebuild
new file mode 100644
index 000000000000..ebe4fd5201d0
--- /dev/null
+++ b/dev-ruby/faraday/faraday-1.9.3.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_RECIPE_DOC="none"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_EXTRAINSTALL="spec"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="HTTP/REST API client library with pluggable components"
+HOMEPAGE="https://github.com/lostisland/faraday"
+SRC_URI="https://github.com/lostisland/faraday/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~x86"
+
+DEPEND+=" test? ( sys-process/lsof )"
+
+ruby_add_rdepend "
+ dev-ruby/faraday-httpclient:1
+ dev-ruby/faraday-multipart:1
+ dev-ruby/faraday-net_http_persistent:1
+ dev-ruby/faraday-net_http:1
+ dev-ruby/faraday-patron:1
+ dev-ruby/faraday-rack:1
+ dev-ruby/faraday-retry:1
+ >=dev-ruby/multipart-post-1.2.0 <dev-ruby/multipart-post-3
+ >=dev-ruby/ruby2_keywords-0.0.4
+"
+ruby_add_bdepend "test? (
+ >=dev-ruby/test-unit-2.4
+ >=dev-ruby/connection_pool-2.2.2
+ dev-ruby/rack
+ >=dev-ruby/rack-test-0.6
+ dev-ruby/webmock
+ )"
+
+all_ruby_prepare() {
+ # Remove bundler support.
+ rm Gemfile || die
+ sed -i -e '/[Bb]undler/d ; 1irequire "yaml"' Rakefile || die
+ sed -i -e '/bundler/,/^fi/ s:^:#:' script/test || die
+ # Avoid loading all lib files since some of them require unpackaged dependencies.
+ sed -e '/[Cc]overall/ s:^:#:' \
+ -e '/lib\/\*\*/ s:^:#:' \
+ -e '/simplecov/ s:^:#:' \
+ -e '/SimpleCov/,/end/ s:^:#:' \
+ -e '/pry/ s:^:#:' \
+ -e '3igem "faraday-net_http", "~> 1.0"; gem "faraday-net_http_persistent", "~> 1.0"' \
+ -i spec/spec_helper.rb || die
+
+ sed -e '/git ls-files/ s:^:#:' \
+ -e "s:_relative ': './:" \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid multipart tests that require an unpackaged dependency
+ # that appears to be no longer maintained.
+ rm -f spec/faraday/request/multipart_spec.rb || die
+ sed -e '/multipart_parser/ s:^:#:' \
+ -i spec/support/helper_methods.rb || die
+
+ # Remove specs for unpackaged adapters
+ rm -f spec/faraday/adapter/{em_http,em_synchrony,excon,httpclient}_spec.rb || die
+
+ # Remove unpackaged adapters. These packages where part of earlier
+ # faraday versions but since we do not package their dependencies
+ # they never worked on a pure Gentoo install. We are taking this
+ # approach so we can add ruby32 compatibility to faraday:1 for
+ # those adapters that we do support.
+ sed -e '/require.*\(em_http\|em_synchrony\|excon\)/ s:^:#:' \
+ -i lib/faraday.rb || die
+ sed -e '/\(em_http\|em_synchrony\|excon\)/ s:^:#:' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Make this adapter optional since it comes with a long list of
+ # dependencies.
+ if ! has_version "dev-ruby/typhoeus:1" ; then
+ rm -f spec/faraday/adapter/typhoeus_spec.rb || die
+ fi
+
+ # Avoid a spec that gets tripped up by recent rack encoding changes.
+ sed -e '/encodes rack compat/ s/it/xit/' -i spec/faraday/params_encoders/nested_spec.rb || die
+}
+
+each_ruby_prepare() {
+ # Make sure the test scripts use the right ruby interpreter
+ sed -i -e 's:ruby:'${RUBY}':' script/* || die
+}
+
+each_ruby_test() {
+ MT_NO_PLUGINS=true each_fakegem_test
+
+ # Sleep some time to allow the sinatra test server to die
+ einfo "Waiting for test server to stop"
+ sleep 10
+}
diff --git a/dev-ruby/net-sftp/net-sftp-4.0.0.ebuild b/dev-ruby/net-sftp/net-sftp-4.0.0.ebuild
index 39292f2382dd..e1c163dd6524 100644
--- a/dev-ruby/net-sftp/net-sftp-4.0.0.ebuild
+++ b/dev-ruby/net-sftp/net-sftp-4.0.0.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby30 ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
RUBY_FAKEGEM_EXTRADOC="CHANGES.txt README.rdoc"
diff --git a/dev-ruby/net-ssh-gateway/net-ssh-gateway-2.0.0-r2.ebuild b/dev-ruby/net-ssh-gateway/net-ssh-gateway-2.0.0-r2.ebuild
index 8a4a2935fc56..6bfe49fb154c 100644
--- a/dev-ruby/net-ssh-gateway/net-ssh-gateway-2.0.0-r2.ebuild
+++ b/dev-ruby/net-ssh-gateway/net-ssh-gateway-2.0.0-r2.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby30 ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
RUBY_FAKEGEM_EXTRADOC="CHANGES.txt README.md"
RUBY_FAKEGEM_GEMSPEC="net-ssh-gateway.gemspec"
diff --git a/dev-ruby/shoulda-matchers/Manifest b/dev-ruby/shoulda-matchers/Manifest
index a8502f5541c6..1214f2d72134 100644
--- a/dev-ruby/shoulda-matchers/Manifest
+++ b/dev-ruby/shoulda-matchers/Manifest
@@ -1,3 +1,4 @@
DIST shoulda-matchers-3.1.3.gem 208384 BLAKE2B 0ce7cb91ec8a311ecd4872ca45b178686fedb126fd5a05d55cc8654f5a40d1ed7e0a1da2b2c47c34ce3e5ed13a302a1d309f4afa67bafb37d5ed8a724945e97f SHA512 c61397d20724f3048172a8a20ef8abaeafdba3a1d5d4b923b1b11480b25c70820fd372eb2851c6eb307894bc0b7e1aae515e23a3581a83db1b65a2c778b22d67
DIST shoulda-matchers-4.5.1.tar.gz 243634 BLAKE2B 32d846d0dc3c8725a9bd0d60e858eb9fe4106a20222503ac908d1a9c9c310d8e1477aa6264f06961812151b9bd1a1a33488707d9c96524cd3431ed7b3246e534 SHA512 8c240fe7699094a63db824145ca28c245526e95d489fac82e1a28a2418ae40524ba0a184a7f9b269b7c31ad7ae2cbc24b453547cab0845639fdea442bada483a
DIST shoulda-matchers-5.3.0.tar.gz 244767 BLAKE2B 4a1a006702bb352acb338c71e0c3152bfce288c51d676c194ce3135d41057d119c02053c26e5e9079dee49514f3396f6f0155fd310063713a975d747221d8e34 SHA512 5794f1eafdb852732e35433b7ba06975a65ec25363b8c7dedf154644fbf65ecb8b929da538f1a49ad4e767b286f7e8910cd06fa6f41f5ccc6f0e8a62f498c56e
+DIST shoulda-matchers-6.0.0.tar.gz 256754 BLAKE2B cf231b2f331d3b2f89a4db5e3146241c1274191b2a175bb98643b6bff2732ed0373214a9bcfca8201b3374038a385ea39725528af9479d9a0e5d3feb27cec07e SHA512 c3136f5b214416f5c8a47ddfeb7467255cdacd474480294ff0a19f6eded35f4db9431560fb6716a1a1dc23605f8ec4ede398682964b11a8c5181fab2665799c0
diff --git a/dev-ruby/shoulda-matchers/shoulda-matchers-4.5.1-r1.ebuild b/dev-ruby/shoulda-matchers/shoulda-matchers-4.5.1-r1.ebuild
index bcc4b19232fb..2e9afc9f142f 100644
--- a/dev-ruby/shoulda-matchers/shoulda-matchers-4.5.1-r1.ebuild
+++ b/dev-ruby/shoulda-matchers/shoulda-matchers-4.5.1-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby30 ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
RUBY_FAKEGEM_RECIPE_TEST="none"
@@ -21,7 +21,7 @@ SRC_URI="https://github.com/thoughtbot/shoulda-matchers/archive/v${PV}.tar.gz ->
LICENSE="MIT"
SLOT="$(ver_cut 1)"
-KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE=""
ruby_add_rdepend ">=dev-ruby/activesupport-4.2.0:*"
diff --git a/dev-ruby/shoulda-matchers/shoulda-matchers-6.0.0.ebuild b/dev-ruby/shoulda-matchers/shoulda-matchers-6.0.0.ebuild
new file mode 100644
index 000000000000..2e226c418752
--- /dev/null
+++ b/dev-ruby/shoulda-matchers/shoulda-matchers-6.0.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRAINSTALL="CHANGELOG.md README.md"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Making tests easy on the fingers and eyes"
+HOMEPAGE="https://github.com/thoughtbot/shoulda-matchers"
+SRC_URI="https://github.com/thoughtbot/shoulda-matchers/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# Fedora manage to run the tests, but it's still pretty tricky.
+# https://src.fedoraproject.org/rpms/rubygem-shoulda-matchers/blob/rawhide/f/rubygem-shoulda-matchers.spec
+RESTRICT="test"
+
+ruby_add_rdepend ">=dev-ruby/activesupport-5.2.0:*"
+
+all_ruby_prepare() {
+ sed -i -e '/pry/ s:^:#:' spec/spec_helper.rb || die
+
+ #rm Gemfile.lock || die
+
+ # Avoid Appraisal and Bundler.
+ #sed -i "/current_bundle/ s/^/#/" \
+ # spec/acceptance_spec_helper.rb \
+ # spec/support/unit/load_environment.rb || die
+ #sed -i "/CurrentBundle/ s/^/#/" \
+ # spec/acceptance_spec_helper.rb \
+ # spec/support/unit/load_environment.rb || die
+
+ # Avoid git and sprockets dependencies.
+ #sed -i '/def rails_new_command/,/^ end$/ {
+ # /rails new/ s/"$/ --skip-git --skip-asset-pipeline&/
+ #}' spec/support/unit/rails_application.rb || die
+ #sed -i '/def rails_new_command/,/^ end$/ {
+ # /rails new/ s/"$/ --skip-git --skip-asset-pipeline&/
+ #}' spec/support/acceptance/helpers/step_helpers.rb || die
+}
diff --git a/dev-ruby/shoulda/Manifest b/dev-ruby/shoulda/Manifest
index 806a7dfc7d10..28daf91eead2 100644
--- a/dev-ruby/shoulda/Manifest
+++ b/dev-ruby/shoulda/Manifest
@@ -1 +1,2 @@
DIST shoulda-3.6.0.tar.gz 22691 BLAKE2B 798b88e208355b0325b9e8b48f66687ad2702e1b5fc058d45504648fe7c7760b018eaf3d1c7bd45c68656c7bbba8fccc9b74d72003ee0b78ac53a277567609bb SHA512 10f7c6801eaabafa08eb2bc9c4d2a96237d4494aee7d40e5db8cf9c1abd8cccfe86aa21b0e68e2ec42cf222d285cdbec11ed2fdd804ffb8bd65ffd2efa3e72ac
+DIST shoulda-4.0.0.tar.gz 17408 BLAKE2B 8e5bd8b5a01292d8c08f76434496a3e99669f4c02c35092e17f4216a8164867f476c6a596a9f1986416106f21daa0d0b24ddb2d04be13c8b2583e98715301bf8 SHA512 850cc685d055ae1e7367f48e963d2839fee3c48a076e079bf3e1c6de2e30d808e78c07c425d0bbcf7ceaeeb944dc647c4f11ceac1ca48134b6b8b555fda53bfe
diff --git a/dev-ruby/shoulda/shoulda-4.0.0.ebuild b/dev-ruby/shoulda/shoulda-4.0.0.ebuild
new file mode 100644
index 000000000000..87c0b420b2b1
--- /dev/null
+++ b/dev-ruby/shoulda/shoulda-4.0.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Making tests easy on the fingers and eyes"
+HOMEPAGE="https://github.com/thoughtbot/shoulda"
+SRC_URI="https://github.com/thoughtbot/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# This now more or less a meta-gem and it only contains features for
+# integration tests using Appraisals, which we don't currently package.
+RESTRICT=test
+
+ruby_add_rdepend "
+ dev-ruby/shoulda-context:2
+ dev-ruby/shoulda-matchers:4"
+
+all_ruby_prepare() {
+ sed -e '/executables/,/^ end/d ; /test_files/d; s/git ls-files/find * -print/' -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}